Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

IBM DB2 Distributed Relational Database Architecture Request DoS Vulnerability

Information

Severity

Severity

Medium

Family

Family

Databases

CVSSv2 Base

CVSSv2 Base

5.0

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

10 years ago

Modified

Modified

3 years ago

Summary

The host is running IBM DB2 and is prone to denial of service vulnerability.

Insight

Insight

The flaw is caused due an error within the server component can be exploited to cause a crash by sending a specially crafted Distributed Relational Database Architecture request.

Affected Software

Affected Software

IBM DB2 version 9.1 before FP11, IBM DB2 version 9.5 before FP9, IBM DB2 version 9.7 before FP5 and IBM DB2 version 9.8 before FP4

Solution

Solution

Upgrade to IBM DB2 version 9.1 FP11, 9.5 FP8, 9.7 FP5, 9.8 FP4 or later.

Common Vulnerabilities and Exposures (CVE)